package com.fjhx.entity.apply;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.Version;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fjhx.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 申购单
 * </p>
 *
 * @author ${author}
 * @since 2022-11-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ApplyPurchase extends BaseEntity {


    /**
     * 申购单号
     */
    private String code;

    /**
     * 采购ID
     */
    private Long purchaseId;

    /**
     * 采购单号
     */
    private String purchaseCode;

    /**
     * 物品id
     */
    private Long goodsId;

    /**
     * 申购数量
     */
    private BigDecimal quantity;

    /**
     * 到货数量
     */
    private BigDecimal arrivalQuantity;

    /**
     * 单价
     */
    private BigDecimal unitPrice;

    /**
     * 申购金额
     */
    private BigDecimal applyPrice;

    /**
     * 到货金额
     */
    private BigDecimal arrivalPrice;

    /**
     * 要求到货时间
     */
    private Date planArrivalTime;

    /**
     * 收货仓库ID
     */
    private Long receiptWarehouseId;

    /**
     * 状态：10、待采购；20、审批中；30、待发货；40、已发货；50、已完成
     */
    private Integer status;

    /**
     * 申购原因
     */
    private String cause;

    /**
     * 乐观锁
     */
    @TableField(fill = FieldFill.INSERT)
    @Version
    private Integer version;

    /**
     * 逻辑删除 0未删除 1已删除
     */
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer delFlag;


}
